| Home | Libraries | People | FAQ | More

## Function template set_difference

boost::compute::set_difference — Set difference algorithm.

## Synopsis

    // In header: <boost/compute/algorithm/set_difference.hpp>

    template<typename InputIterator1, typename InputIterator2,
             typename OutputIterator>
      OutputIterator
      set_difference(InputIterator1 first1, InputIterator1 last1,
                     InputIterator2 first2, InputIterator2 last2,
                     OutputIterator result,
                     command_queue & queue = system::default_queue());

## Description

Finds the difference of the sorted range [first2, last2) from the sorted range [first1, last1) and stores it in range starting at result

Parameters: |
`first1` | Iterator pointing to start of first set
`first2` | Iterator pointing to start of second set
`last1` | Iterator pointing to end of first set
`last2` | Iterator pointing to end of second set
`queue` | Queue on which to execute
`result` | Iterator pointing to start of range in which the difference will be stored
Returns: | Iterator pointing to end of difference